<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class BaproductzoommagnifierZoomModuleFrontController extends ModuleFrontController
{
    public function run()
    {
        parent::init();
        parent::initHeader();
        parent::initContent();
        $arr = [];
        $id_lang = (int) Tools::getValue('id_langs');
        $id_shop = (int) Tools::getValue('id_shop');
        $name_product = Tools::getValue('name_product');
        $db = Db::getInstance(_PS_USE_SQL_SLAVE_);
        $search = 'Select ' . _DB_PREFIX_ . 'product_lang.id_product,' . _DB_PREFIX_ . 'product_lang.name FROM ';
        $search .= _DB_PREFIX_ . 'product INNER JOIN ' . _DB_PREFIX_ . 'product_lang ON ';
        $search .= _DB_PREFIX_ . 'product_lang.id_product=';
        $search .= _DB_PREFIX_ . 'product.id_product WHERE ';
        $search .= _DB_PREFIX_ . "product_lang.name like '%" . pSQL($name_product) . "%'";
        $search .= " AND id_lang='$id_lang' AND id_shop = '" . (int) $id_shop . "'";
        $shows = $db->ExecuteS($search);
        $count = count($shows);
        $arr['count'] = $count;
        $arr['shows'] = $shows;
        echo json_encode($arr);
    }
}
