/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
"use strict";
$(document).ready(function(){
      $('#td_id_category').keyup(function(){
         var name_product = jQuery('#td_id_category').val();
        if (name_product.length==0) { 
          $(".ss").css("display", "none");
        }
        else{
          $(".ss").css("display", "block");
        }
        $.ajax({
          url:base+"index.php?controller=zoom&fc=module&module=baproductzoommagnifier",
          dataType: 'json ',
          data: 'name_product=' + name_product + '&id_shop='+id_shop +'&id_langs='+id_langs,
          method:'POST',
          success:function(data){
            product_show(data);
          }
      });
    });
    function product_show(data){
      var html='';
      for(var i = 0;i<data.count;i++){
        html+='<li onclick="add(this)" id="'+data.shows[i]['id_product']+'" class="ui-widget-content ui-corner-tr rga">';
        html+='<p style="padding:5px;margin:0px;font-size:11px;"  >'+data.shows[i]['name']+" "+"(id: "+data.shows[i]['id_product']+")"+'</p>';
        html+='</li>';
      }
      $(".ss").html(html);
    };
    
});